using System;
using System.Data;
using FOUPOS.Model;
namespace FOUPOS.IDAL
{
    /// <summary>
    /// 接口层ICard 的摘要说明。
    /// </summary>
    public interface ICard
    {
        #region  成员方法
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        bool Exists(int CardID);
        /// <summary>
        /// 增加一条数据
        /// </summary>
        void Add(FOUPOS.Model.Card model);
        /// <summary>
        /// 更新一条数据
        /// </summary>
        void Update(FOUPOS.Model.Card model);
        /// <summary>
        /// 删除一条数据
        /// </summary>
        void Delete(int CardID);
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        FOUPOS.Model.Card GetModel(int CardID);
        /// <summary>
        /// 获得数据列表
        /// </summary>
        DataSet GetList(string strWhere);
        /// <summary>
        /// 根据分页获得数据列表
        /// </summary>
        //		DataSet GetList(int PageSize,int PageIndex,string strWhere);
        #endregion  成员方法
    }
}
